Skip to main content
Client Get Agent Run
curl --request GET \
  --url https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/runs/{run_id} \
  --header 'Authorization: Bearer <token>'
{
  "agent_id": 123,
  "run_id": 123,
  "user_defined_id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "updated": "2023-11-07T05:31:56Z",
  "completed": "2023-11-07T05:31:56Z",
  "files": [
    "<string>"
  ],
  "run_url": "<string>",
  "order": [
    "<string>"
  ],
  "data": {},
  "status": "running",
  "usage": {
    "credits_used": 123
  }
}
Rate Limit: This endpoint is limited to requests per minute per user.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>. The <token> represents your API key, which must be acquired from the Kolena platform.

Path Parameters

agent_id
integer
required
run_id
integer
required

Response

Successful Response

agent_id
integer
required

The ID of the Agent being run.

run_id
integer
required

The ID of this Agent Run.

user_defined_id
string | null
required

An optional user-defined ID attached to this Run.

created
string<date-time>
required

When this Run was created, formatted as an ISO 8601 timestamp (e.g. 2025-12-31T10:15:45+00:00)

updated
string<date-time>
required

When this Run was last updated, formatted as an ISO 8601 timestamp (e.g. 2025-12-31T10:15:45+00:00)

completed
string<date-time> | null
required

When all Prompts in this Run completed, formatted as an ISO 8601 timestamp (e.g. 2025-12-31T10:15:45+00:00).

The time between created and completed is the total time taken by the Agent for this Run. Will be null if the Run is still in progress and for historical Runs created before March 2026.

files
string[]
required

List of filenames included in this Run.

run_url
string
required

Link to this Run on agents.kolena.com.

order
string[]
required

The order of Prompts in this Agent. When results are ready for a Prompt, it will be included in the data object.

data
Data · object
required

The output data from completed Prompts, keyed on Prompt name.

Once a Prompt is completed (status success or failed), it will be included in this object. Any running prompts are omitted.

status
enum<string>
required

The status of this Run.

Available options:
running,
success,
failed
usage
AgentCreditUsage · object

For organizations with credit-based billing enabled, report the total credits used for this Run. null for organizations using page-based billing.